1.16. DiscoveryConfig API
1.16.1. 概要 リンクのコピーリンクがクリップボードにコピーされました!
このドキュメントでは、Red Hat Advanced Cluster Management for Kubernetes の DiscoveryConfig リソースについて説明します。DiscoveryConfig リソースには、create、query、delete、update の 4 つの要求を使用できます。
1.16.1.1. バージョン情報 リンクのコピーリンクがクリップボードにコピーされました!
バージョン: 2.10.0
1.16.1.2. URI スキーム リンクのコピーリンクがクリップボードにコピーされました!
ベースパス: /kubernetes/apis
スキーム: HTTPS
1.16.1.3. タグ リンクのコピーリンクがクリップボードにコピーされました!
- discoveryconfigs.discovery.open-cluster-management.io: DiscoveryConfigs を作成して管理します。
1.16.2. パス リンクのコピーリンクがクリップボードにコピーされました!
1.16.2.1. DiscoveryConfig の作成 リンクのコピーリンクがクリップボードにコピーされました!
POST /app.k8s.io/v1/namespaces/{namespace}/discoveryconfigs
1.16.2.1.1. 説明 リンクのコピーリンクがクリップボードにコピーされました!
DiscoveryConfig を作成します。
1.16.2.1.2. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| パス |
namespace | 使用する namespace (例: default) | string |
| Body |
body | 作成する DiscoveryConfig を記述するパラメーター。 | DiscoveryConfig |
1.16.2.1.3. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.16.2.1.4. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
discoveryconfigs/yaml
1.16.2.1.5. タグ リンクのコピーリンクがクリップボードにコピーされました!
- discoveryconfigs.discovery.open-cluster-management.io
1.16.2.1.5.1. 要求の body リンクのコピーリンクがクリップボードにコピーされました!
{
"apiVersion": "apiextensions.k8s.io/v1",
"kind": "CustomResourceDefinition",
"metadata": {
"annotations": {
"controller-gen.kubebuilder.io/version": "v0.4.1",
},
"creationTimestamp": null,
"name": "discoveryconfigs.discovery.open-cluster-management.io",
},
"spec": {
"group": "discovery.open-cluster-management.io",
"names": {
"kind": "DiscoveryConfig",
"listKind": "DiscoveryConfigList",
"plural": "discoveryconfigs",
"singular": "discoveryconfig"
},
"scope": "Namespaced",
"versions": [
{
"name": "v1",
"schema": {
"openAPIV3Schema": {
"description": "DiscoveryConfig is the Schema for the discoveryconfigs API",
"properties": {
"apiVersion": {
"description": "APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources",
"type": "string"
},
"kind": {
"description": "Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds",
"type": "string"
},
"metadata": {
"type": "object"
},
"spec": {
"description": "DiscoveryConfigSpec defines the desired state of DiscoveryConfig",
"properties": {
"credential": {
"description": "Credential is the secret containing credentials to connect to the OCM api on behalf of a user",
"type": "string"
},
"filters": {
"description": "Sets restrictions on what kind of clusters to discover",
"properties": {
"lastActive": {
"description": "LastActive is the last active in days of clusters to discover, determined by activity timestamp",
"type": "integer"
},
"openShiftVersions": {
"description": "OpenShiftVersions is the list of release versions of OpenShift of the form \"<Major>.<Minor>\"",
"items": {
"description": "Semver represents a partial semver string with the major and minor version in the form \"<Major>.<Minor>\". For example: \"4.13\"",
"pattern": "^(?:0|[1-9]\\d*)\\.(?:0|[1-9]\\d*)$",
"type": "string"
},
"type": "array"
}
},
"type": "object"
}
},
"required": [
"credential"
],
"type": "object"
},
"status": {
"description": "DiscoveryConfigStatus defines the observed state of DiscoveryConfig",
"type": "object"
}
},
"type": "object"
}
},
"served": true,
"storage": true,
"subresources": {
"status": {}
}
}
]
},
"status": {
"acceptedNames": {
"kind": "",
"plural": ""
},
"conditions": [],
"storedVersions": []
}
}
1.16.2.2. すべての DiscoveryConfigs のクエリー リンクのコピーリンクがクリップボードにコピーされました!
GET /operator.open-cluster-management.io/v1/namespaces/{namespace}/operator
1.16.2.2.1. 説明 リンクのコピーリンクがクリップボードにコピーされました!
discovery config 演算子に対してクエリーを実行して詳細を確認します。
1.16.2.2.2. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| パス |
namespace | 使用する namespace (例: default) | string |
1.16.2.2.3. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.16.2.2.4. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
operator/yaml
1.16.2.2.5. タグ リンクのコピーリンクがクリップボードにコピーされました!
- discoveryconfigs.discovery.open-cluster-management.io
1.16.2.3. DiscoveryConfig 演算子の削除 リンクのコピーリンクがクリップボードにコピーされました!
DELETE /operator.open-cluster-management.io/v1/namespaces/{namespace}/operator/{discoveryconfigs_name}
1.16.2.3.1. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| パス |
application_name | 削除する Discovery Config 演算子の名前。 | string |
| パス |
namespace | 使用する namespace (例: default) | string |
1.16.2.3.2. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.16.2.3.3. タグ リンクのコピーリンクがクリップボードにコピーされました!
- discoveryconfigs.operator.open-cluster-management.io
1.16.3. 定義 リンクのコピーリンクがクリップボードにコピーされました!
1.16.3.1. DiscoveryConfig リンクのコピーリンクがクリップボードにコピーされました!
| 名前 | 説明 | スキーマ |
|---|---|---|
|
apiVersion | discoveryconfigs のバージョンスキーマ。 | string |
|
kind | REST リソースを表す文字列の値 | string |
|
metadata | リソースを定義するルールを記述します。 | object |
|
spec | DiscoveryConfig の必要な状態を定義します。 | 仕様のリスト を参照してください。 |
1.16.3.2. 仕様のリスト リンクのコピーリンクがクリップボードにコピーされました!
| 名前 | 説明 | スキーマ |
|---|---|---|
|
credential | credential は、ユーザーの代わりに OCM API に接続するための認証情報が含まれるシークレットです。 | string |
|
filters | 検出するクラスターの種類に制限を設定します。 | フィルターの一覧 を参照してください。 |
1.16.3.3. フィルターのリスト リンクのコピーリンクがクリップボードにコピーされました!
| 名前 | 説明 | スキーマ |
|---|---|---|
|
lastActive | lastActive は、検出するクラスターの最後のアクティブ日数で、アクティビティーのタイムスタンプによって決定されます。 | integer |
|
openShiftVersions | openShiftVersions は、OpenShift のリリースバージョン ("<Major>.<Minor>" 形式) のリストです。 | object |